<?php
/**
 * Optional: set 'ot_show_pages' filter to false.
 * This will hide the settings & documentation pages.
 */
add_filter( 'ot_show_pages', '__return_false' );

/**
 * Optional: set 'ot_show_new_layout' filter to false.
 * This will hide the "New Layout" section on the Theme Options page.
 */
add_filter( 'ot_show_new_layout', '__return_false' );

/**
 * Required: set 'ot_theme_mode' filter to true.
 */
add_filter( 'ot_theme_mode', '__return_true' );

/**
 * Required: include OptionTree.
 */
load_template( trailingslashit( get_template_directory() ) . 'option-tree/ot-loader.php' );

/**
 * Theme Options
 */
load_template( trailingslashit( get_template_directory() ) . 'includes/theme-options.php' );

add_theme_support( 'automatic-feed-links' );
add_theme_support('menus');
add_action( 'init', 'register_my_menus' );
function register_my_menus() {
	register_nav_menus(
		array(
			'home-menu' =>  ('Home Menu'),
		)
	);
}

add_theme_support('post-thumbnails');
add_image_size( 'catimage',255, 175, true );
add_image_size( 'galleryimage',190, 120, true );
add_image_size( 'slides',980, 380, true );

add_filter('excerpt_length', 'my_excerpt_length');
function my_excerpt_length($length) {
return 20; // Or whatever you want the length to be.
}
function new_excerpt_more( $more ) {
	return '...';
}
add_filter('excerpt_more', 'new_excerpt_more');

register_sidebar(array(
  'name' => ('Right Hand Sidebar'),
  'id' => 'rightbar',
  'description' => ('Widgets in this area will be shown on the right-hand side.')
));


register_sidebar(array(
  'name' => ('Footer Left Section'),
  'id' => 'leftfooter',
  'description' => ('Widgets in this area will be shown on the left-hand side of the footer.')
));

register_sidebar(array(
  'name' => ('Footer Mid Section'),
  'id' => 'midfooter',
  'description' => ('Widgets in this area will be shown on the middle of the footer.')
));

register_sidebar(array(
  'name' => ('Footer Right Section'),
  'id' => 'rightfooter',
  'description' => ('Widgets in this area will be shown on the right-hand side of the footer.')
));

function the_breadcrumb() {
        echo '<ul id="breadcrumbs">';
    if (!is_home()) {
        echo '<li><a href="';
        echo home_url();
        echo '">';
        echo 'Home';
        echo '</a></li><li class="separator"> &rsaquo; </li>';
        if (is_category() || is_single()) {
            echo '<li>';
            the_category(' </li><li class="separator"> &rsaquo; </li><li> ');
            if (is_single()) {
                echo '</li><li class="separator"> &rsaquo; </li><li>';
                the_title();
                echo '</li>';
            }
        } elseif (is_page()) {
                echo '</li><li>';
                the_title();
                echo '</li>';
        }
    }
    elseif (is_tag()) {single_tag_title();}
    elseif (is_day()) {echo"<li>Archive for "; the_time('F jS, Y'); echo'</li>';}
    elseif (is_month()) {echo"<li>Archive for "; the_time('F, Y'); echo'</li>';}
    elseif (is_year()) {echo"<li>Archive for "; the_time('Y'); echo'</li>';}
    elseif (is_author()) {echo"<li>Author Archive"; echo'</li>';}
    elseif (isset($_GET['paged']) && !empty($_GET['paged'])) {echo "<li>Blog Archives"; echo'</li>';}
    elseif (is_search()) {echo"<li>Search Results"; echo'</li>';}
    echo '</ul>';
}
if ( ! isset( $content_width ) ) $content_width = 980;
?>